<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html">
      
<h:head>
	<title>Realizar Pedido</title>
</h:head>

<h:body>
	<div id="divCenter">
	<h:outputText value="Realizar Pedido"></h:outputText>
	<h:form>
		<br/>
		<h:outputLabel for="id" >Comanda:  ##{pedidoMBean.comanda.id} #{pedidoMBean.comanda.cliente.nome} </h:outputLabel>
	 	<br/>
	 	<br/>
		<h:dataTable value="#{pedidoMBean.listaPedidos}" var="pedido" >
			<h:column>
				<f:facet name="header">Produto </f:facet>
				#{pedido.produto.descricao}
			</h:column>
			<h:column>
				<f:facet name="header">Quantidade </f:facet>
				#{pedido.quantidade}
			</h:column>		
		</h:dataTable>
		<div>
			
		 	<h:outputLabel for="pedido" value="Pedido " />
 			<h:selectOneMenu value="#{pedidoMBean.obj.produto}" converter="produtoConverter" >
 				<f:selectItem itemValue="" itemLabel="Selecione..." />
 				<f:selectItems value="#{comandaMBean.listaProdutosPedidos}"  />
 			</h:selectOneMenu>
 			<h:outputLabel for="quantidadeProduto">Quantidade *: </h:outputLabel>
			<h:inputText id="quantidadeProduto" value="#{pedidoMBean.obj.quantidade}" required="true" requiredMessage="Digite a quantidade"></h:inputText>
			<br />
			<h:message for="quantidadeProduto"></h:message>
			<br />
				
		</div>		
		<br/>
		<h:commandButton action="list" value="Voltar para a Listagem das Comandas"></h:commandButton>
		<h:commandButton action="#{pedidoMBean.add(pedidoMBean.comanda)}" value="Incluir Produto"></h:commandButton>
		<h:commandButton action="#{pedidoMBean.salvar(pedidoMBean.comanda)}" value="Salvar Pedido"></h:commandButton>
	</h:form>
	</div>
	
	<style type="text/css">
		* { margin: 0; padding: 0; font-family:Tahoma; font-size:9pt;}
			
			#divCenter {
				background-color: #e1e1e1;
				width: 400px;
				height: 300px;
				left: 50%;
				margin: -130px 0 0 -210px;
				padding:10px;
				position: absolute;
				top: 50%; 
			}
	</style>	
</h:body>
      
</html>